
@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Tajawal:wght@500&display=swap');

*{
    margin: 0 !important;
    padding: 0 !important;
}
body{
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -o-box-sizing: border-box;
    background: #f5f5f5;
    overflow-x: hidden;
    scroll-behavior: smooth;
    font-family: 'Quicksand', 'Tajawal';
    max-height: 100vh !important;
}
::-webkit-scrollbar{
    width: 10px;
}
::-webkit-scrollbar-thumb{
    background: #d7385e;
}
::-webkit-scrollbar-track{
    background: black;
}
header{
    width: 100%;
    height: 60px;
    background: #000;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1;
}
header #back{
    position: absolute;
    top: 0;
    left: 0;
    margin:15px 20px !important;
    text-decoration: none;
    color: white;
}
header #back svg{
    width: 25px;
    transform: rotate(180deg);
}
.container{
    width: 100%;
    height: 100vh;
    background: rgb(15, 15, 15);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}
.form{
    width: 500px;
    height: 600px;
    text-align: center;
    color: white;
    position: relative;
    margin-top: 50px !important;
    transition: .5s ease-in-out;
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -ms-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
}
.form h1{
    line-height: 50px;
    padding: 10px;
    user-select: none;
}
.form p{
    font-size: 17px;
    padding: 20px;
    line-height: 25px;

}
.group-form{
    width: 90%;
    height: 50px;
    overflow: hidden;
    display: block !important;
    margin: 10px auto !important;
    position: relative;
}
.group-form input{
    font-family: 'Quicksand', 'Tajawal';
    padding: 0 10px !important;
    height: 100%;
    border: none;
    width: 95%;
    font-size: 15px;
    border-radius: 4px;
    outline:none;
}
.group-form button{
    font-family: 'Quicksand', 'Tajawal';
    padding: 0 10px !important;
    height: 100%;
    border: none;
    width: 95%;
    font-size: 17px;
    border-radius: 4px;
    background: #d7385e;
    color: white;
    cursor: pointer;
    outline:none;
}
.log-in{
    display: flex !important;
    align-items: center;
    justify-content: center;
}
.log-in a{
    text-decoration: none;
    color: white;
    letter-spacing: 1px;
    padding: 10px;
}
footer{
    width: 100%;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    background: #d7385e;
    position: relative;
    margin: 0 !important;
}
.error-container{
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.664);
    z-index: 10;
    display: none;
    align-items: center;
    justify-content: center;
}
.popup{
    background: #d7385e;
    width: 500px;
    padding: 10px;
    border-radius: 5px;
    height: auto;
    position: relative;
    display: inline-block;
    text-align: center;
    font-family: 'Rubik', sans-serif;
    transition: 1s ease-in-out;
    -webkit-transition: 1s ease-in-out;
    -moz-transition: 1s ease-in-out;
    -ms-transition: 1s ease-in-out;
    -o-transition: 1s ease-in-out;
}
.popup img{
    width: 50%;
    height: 50%;
    display: block !important;
    margin: 10px auto !important;
}
.popup strong{
    font-size: 30px;
    line-height: 50px;
    color: white;
}
.popup p{
    font-size: 17px;
    padding: 10px;
    color: white;
}
.footer-controls{
    width: 90%;
    height: 50px;
    border-top: 2px solid #ac304d;
    display: flex;
    margin-top: 20px !important;
    margin-left: auto !important;
    margin-right: auto !important;
    margin-bottom: 5px !important;
    align-items: center;
    justify-content: center;
}
.footer-controls button{
    width: 50%;
    height: 80%;
    border: none;
    font-family: 'Rubik', sans-serif;
    font-size: 15px;
    border-radius: 5px; 
    background: #ac304d;
    color: white;
    cursor: pointer;
    outline: none;
    border-bottom: 3px solid #80253a;
    transition: 1s ease-in-out;
    -webkit-transition: 1s ease-in-out;
    -moz-transition: 1s ease-in-out;
    -ms-transition: 1s ease-in-out;
    -o-transition: 1s ease-in-out;
}
@media only screen and (max-width:500px){
    .container{
        height: 100% !important;
    }
    .form{
        width: 90%;
        margin-top: 125px !important;
        animation: mobile-animate 1s;
        -webkit-animation: mobile-animate 1s;
        -moz-animation: mobile-animate 1s;
        -ms-animation: mobile-animate 1s;
        -o-animation: mobile-animate 1s;
    }
    @keyframes mobile-animate {
        from{
            margin-top: 0 !important;
            opacity: 0;
        }
        to{
            margin-top: 125px !important;
            opacity: 1;
        }
    }
    @-webkit-keyframes mobile-animate {
        from{
            margin-top: 0 !important;
            opacity: 0;
        }
        to{
            margin-top: 125px !important;
            opacity: 1;
        }
    }
    @-moz-keyframes mobile-animate {
        from{
            margin-top: 0 !important;
            opacity: 0;
        }
        to{
            margin-top: 125px !important;
            opacity: 1;
        }
    }
    @-ms-keyframes mobile-animate {
        from{
            margin-top: 0 !important;
            opacity: 0;
        }
        to{
            margin-top: 125px !important;
            opacity: 1;
        }
    }
    @-o-keyframes mobile-animate {
        from{
            margin-top: 0 !important;
            opacity: 0;
        }
        to{
            margin-top: 125px !important;
            opacity: 1;
        }
    }
    .form p{
        padding: 5px 20px !important;
    }
    .group-form{
        width: 95% !important;
        overflow: hidden;
        border-radius: 4px;
    }
    .popup{
        width: 90%;
    }

}